For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
        • POSTCreate Peer To Peer Payment Request
        • GETList Peer To Peer Payment Responses
        • GETRetrieve Peer To Peer Payment Response
Get a Demo
LogoLogo
API ReferencePaymentsP2P

List Peer To Peer Payment Responses

GET
https://host.com/v2/payments/p2p/
GET
/v2/payments/p2p/
$curl https://host.com/v2/payments/p2p/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 42,
3 "results": [
4 {
5 "id": "a1b2c3d4-0000-4000-8000-000000000001",
6 "originating_account_id": "string",
7 "receiving_account_id": "string",
8 "amount": 25,
9 "status": "posted",
10 "description": "Splitting dinner"
11 }
12 ],
13 "next": "https://api.upwardli.com/v2/payments/p2p/?page=2",
14 "previous": null
15}
Returns a paginated list of all P2P payments across every consumer on the authenticated partner's network.
Was this page helpful?
Previous

Retrieve Peer To Peer Payment Response

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"